> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/playbooks/metadata.md).

# Metadata

## Adds a category to the specified playbook metadata.

> Adds a category to the specified playbook metadata.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.Container.ContainerMetadata.AddContainerMetadataCategoryModel":{"required":["optionIdentifier"],"type":"object","properties":{"optionIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel":{"required":["metadata","objectIdentifier"],"type":"object","properties":{"isYes":{"type":"boolean","nullable":true},"text":{"type":"string","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"date":{"type":"string","format":"date-time","nullable":true},"categories":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"metadata":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataReadModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataReadModel":{"required":["dataType","description","isRequired","name","objectIdentifier"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"dataType":{"type":"string","nullable":true},"isRequired":{"type":"boolean"},"options":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataOptionReadModel"},"nullable":true},"objectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataOptionReadModel":{"required":["name","objectIdentifier"],"type":"object","properties":{"name":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/metadata/{objectIdentifier}/categories":{"post":{"tags":["Metadata"],"summary":"Adds a category to the specified playbook metadata.","description":"Adds a category to the specified playbook metadata.","parameters":[{"name":"objectIdentifier","in":"path","description":"The object identifier of the playbook metadata.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The category data to add.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.AddContainerMetadataCategoryModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.AddContainerMetadataCategoryModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.AddContainerMetadataCategoryModel"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Gets all metadata entries for the specified playbook.

> Retrieves a paginated list of all metadata entries for the specified playbook, with optional search and sorting.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Sorting.ItemSorting":{"enum":[0],"type":"integer","format":"int32"},"Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel":{"required":["metadata","objectIdentifier"],"type":"object","properties":{"isYes":{"type":"boolean","nullable":true},"text":{"type":"string","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"date":{"type":"string","format":"date-time","nullable":true},"categories":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"metadata":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataReadModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataReadModel":{"required":["dataType","description","isRequired","name","objectIdentifier"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"dataType":{"type":"string","nullable":true},"isRequired":{"type":"boolean"},"options":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataOptionReadModel"},"nullable":true},"objectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataOptionReadModel":{"required":["name","objectIdentifier"],"type":"object","properties":{"name":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/metadata":{"get":{"tags":["Metadata"],"summary":"Gets all metadata entries for the specified playbook.","description":"Retrieves a paginated list of all metadata entries for the specified playbook, with optional search and sorting.","parameters":[{"name":"pageNumber","in":"query","description":"The page number for paginated results.","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","description":"The number of items per page.","schema":{"type":"integer","format":"int32"}},{"name":"searchText","in":"query","description":"Optional search text to filter results.","schema":{"type":"string"}},{"name":"sorting","in":"query","description":"The sorting option for the results.","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Sorting.ItemSorting"}},{"name":"desc","in":"query","description":"Whether to sort in descending order.","schema":{"type":"boolean","default":true}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel"}}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Creates a new metadata entry for the specified playbook.

> Creates a new metadata entry for the specified playbook.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.MultiTypeInputWriteModel":{"type":"object","properties":{"isYes":{"type":"boolean","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"text":{"type":"string","nullable":true},"date":{"type":"string","format":"date-time","nullable":true},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"categories":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"organizationMetadataIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel":{"required":["metadata","objectIdentifier"],"type":"object","properties":{"isYes":{"type":"boolean","nullable":true},"text":{"type":"string","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"date":{"type":"string","format":"date-time","nullable":true},"categories":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"metadata":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataReadModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataReadModel":{"required":["dataType","description","isRequired","name","objectIdentifier"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"dataType":{"type":"string","nullable":true},"isRequired":{"type":"boolean"},"options":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataOptionReadModel"},"nullable":true},"objectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataOptionReadModel":{"required":["name","objectIdentifier"],"type":"object","properties":{"name":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/metadata":{"post":{"tags":["Metadata"],"summary":"Creates a new metadata entry for the specified playbook.","description":"Creates a new metadata entry for the specified playbook.","parameters":[{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The metadata entry data to create.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.MultiTypeInputWriteModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.MultiTypeInputWriteModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.MultiTypeInputWriteModel"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Gets the details of a specific playbook metadata entry by its object identifier.

> Retrieves the details of a playbook metadata entry using its object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel":{"required":["metadata","objectIdentifier"],"type":"object","properties":{"isYes":{"type":"boolean","nullable":true},"text":{"type":"string","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"date":{"type":"string","format":"date-time","nullable":true},"categories":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"metadata":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataReadModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataReadModel":{"required":["dataType","description","isRequired","name","objectIdentifier"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"dataType":{"type":"string","nullable":true},"isRequired":{"type":"boolean"},"options":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataOptionReadModel"},"nullable":true},"objectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataOptionReadModel":{"required":["name","objectIdentifier"],"type":"object","properties":{"name":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/metadata/{objectIdentifier}":{"get":{"tags":["Metadata"],"summary":"Gets the details of a specific playbook metadata entry by its object identifier.","description":"Retrieves the details of a playbook metadata entry using its object identifier.","parameters":[{"name":"objectIdentifier","in":"path","description":"The object identifier of the metadata entry.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Updates an existing metadata entry for the specified playbook.

> Updates the details of an existing metadata entry for the specified playbook using its object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.MultiTypeInputUpdateModel":{"type":"object","properties":{"isYes":{"type":"boolean","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"text":{"type":"string","nullable":true},"date":{"type":"string","format":"date-time","nullable":true},"organizationMetadataIdentifier":{"type":"string","format":"uuid"},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel":{"required":["metadata","objectIdentifier"],"type":"object","properties":{"isYes":{"type":"boolean","nullable":true},"text":{"type":"string","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"date":{"type":"string","format":"date-time","nullable":true},"categories":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"metadata":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataReadModel"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataReadModel":{"required":["dataType","description","isRequired","name","objectIdentifier"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"dataType":{"type":"string","nullable":true},"isRequired":{"type":"boolean"},"options":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataOptionReadModel"},"nullable":true},"objectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMetadata.OrganizationMetadataOptionReadModel":{"required":["name","objectIdentifier"],"type":"object","properties":{"name":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/metadata/{objectIdentifier}":{"put":{"tags":["Metadata"],"summary":"Updates an existing metadata entry for the specified playbook.","description":"Updates the details of an existing metadata entry for the specified playbook using its object identifier.","parameters":[{"name":"objectIdentifier","in":"path","description":"The object identifier of the metadata entry to update.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The updated metadata entry data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.MultiTypeInputUpdateModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.MultiTypeInputUpdateModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.MultiTypeInputUpdateModel"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.Container.ContainerMetadata.ContainerMetadataReadModel"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Removes a category from the specified playbook metadata entry.

> Removes a category from the specified playbook metadata entry using its object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/metadata/{objectIdentifier}/categories/{optionIdentifier}":{"delete":{"tags":["Metadata"],"summary":"Removes a category from the specified playbook metadata entry.","description":"Removes a category from the specified playbook metadata entry using its object identifier.","parameters":[{"name":"objectIdentifier","in":"path","description":"The object identifier of the metadata entry.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"optionIdentifier","in":"path","description":"The identifier of the category to remove.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.jylo.ai/api-reference/playbooks/metadata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
